Add users to account
Authentication
AuthorizationBearer
OAuth2 Access code Grant
Path parameters
organizationId
The organization ID Guid
accountId
The account ID Guid
Request
This endpoint expects an object: request
email
The email address of the user.
permission_profile
A permission profile.
groups
The new user's requested groups.
user_name
The full name of the user.
first_name
The user's first name.
last_name
The user's last name.
default_account_id
The account ID of the user's default account.
language_culture
The language and culture of the user.
- Chinese Simplified:
zh_CN - Chinese Traditional:
zh_TW - Dutch:
nl - English:
en - French:
fr - German:
de - Italian:
it - Japanese:
ja - Korean:
ko - Portuguese:
pt - Portuguese Brazil:
pt_BR - Russian:
ru - Spanish:
es
selected_languages
access_code
The access code that the user needs to activate an account.
federated_status
The user’s federated status. One of:
RemoveStatusFedAuthRequiredFedAuthBypassEvicted
auto_activate_memberships
When true, the user’s account is activated automatically.
license_type
Response
OK
id
The ID of the added user
site_id
The site ID of the added user.
user_name
The full name of the user.
first_name
The user's first name.
last_name
The user's last name.
email
The primary email address of the user.
language_culture
The language and culture of the user.
- Chinese Simplified:
zh_CN - Chinese Traditional:
zh_TW - Dutch:
nl - English:
en - French:
fr - German:
de - Italian:
it - Japanese:
ja - Korean:
ko - Portuguese:
pt - Portuguese Brazil:
pt_BR - Russian:
ru - Spanish:
es
federated_status
The user’s federated status. One of:
RemoveStatusFedAuthRequiredFedAuthBypassEvicted
accounts
A list of accounts the user belongs to.